Interface OpenTelemetryEndpointBuilderFactory.OpenTelemetryBuilders
- All Known Subinterfaces:
EndpointBuilderFactory
- All Known Implementing Classes:
EndpointRouteBuilder,EndpointRouteConfigurationBuilder
- Enclosing interface:
OpenTelemetryEndpointBuilderFactory
public static interface OpenTelemetryEndpointBuilderFactory.OpenTelemetryBuilders
-
Method Summary
Modifier and TypeMethodDescriptionOpenTelemetry Metrics (camel-opentelemetry-metrics) Camel metrics based on the Camel Telemetry spec Category: monitoring Since: 4.17 Maven coordinates: org.apache.camel:camel-opentelemetry-metricsopentelemetryMetrics(String path) OpenTelemetry Metrics (camel-opentelemetry-metrics) Camel metrics based on the Camel Telemetry spec Category: monitoring Since: 4.17 Maven coordinates: org.apache.camel:camel-opentelemetry-metrics Syntax:opentelemetry-metrics:metricType:metricNamePath parameter: metricType (required) Type of metrics There are 3 enums and the value can be one of: counter, summary, timer Path parameter: metricName (required) Name of metricopentelemetryMetrics(String componentName, String path) OpenTelemetry Metrics (camel-opentelemetry-metrics) Camel metrics based on the Camel Telemetry spec Category: monitoring Since: 4.17 Maven coordinates: org.apache.camel:camel-opentelemetry-metrics Syntax:opentelemetry-metrics:metricType:metricNamePath parameter: metricType (required) Type of metrics There are 3 enums and the value can be one of: counter, summary, timer Path parameter: metricName (required) Name of metric
-
Method Details
-
opentelemetryMetrics
OpenTelemetry Metrics (camel-opentelemetry-metrics) Camel metrics based on the Camel Telemetry spec Category: monitoring Since: 4.17 Maven coordinates: org.apache.camel:camel-opentelemetry-metrics- Returns:
- the dsl builder for the headers' name.
-
opentelemetryMetrics
default OpenTelemetryEndpointBuilderFactory.OpenTelemetryEndpointBuilder opentelemetryMetrics(String path) OpenTelemetry Metrics (camel-opentelemetry-metrics) Camel metrics based on the Camel Telemetry spec Category: monitoring Since: 4.17 Maven coordinates: org.apache.camel:camel-opentelemetry-metrics Syntax:opentelemetry-metrics:metricType:metricNamePath parameter: metricType (required) Type of metrics There are 3 enums and the value can be one of: counter, summary, timer Path parameter: metricName (required) Name of metric- Parameters:
path- metricType:metricName- Returns:
- the dsl builder
-
opentelemetryMetrics
default OpenTelemetryEndpointBuilderFactory.OpenTelemetryEndpointBuilder opentelemetryMetrics(String componentName, String path) OpenTelemetry Metrics (camel-opentelemetry-metrics) Camel metrics based on the Camel Telemetry spec Category: monitoring Since: 4.17 Maven coordinates: org.apache.camel:camel-opentelemetry-metrics Syntax:opentelemetry-metrics:metricType:metricNamePath parameter: metricType (required) Type of metrics There are 3 enums and the value can be one of: counter, summary, timer Path parameter: metricName (required) Name of metric- Parameters:
componentName- to use a custom component name for the endpoint instead of the default namepath- metricType:metricName- Returns:
- the dsl builder
-